%define ver 20030606
%define rel 1

Summary:	A set of tools to view, edit and compile LaTeX documents in Vim.
Name:		ite-latexSuite
Requires:	vim-X11 >= 6.0
BuildRequires:	vim-X11 >= 6.0
Provides:	ite-latexSuite
Version: 	%ver
Release:	%rel
Group:		Applications/Publishing
Source:		latexSuite%{ver}.tar.bz2
URL:		http://vim-latex.sourceforge.net
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	Vim charityware
BuildRoot:	/var/tmp/latexSuite-root

%description

Latex-Suite attempts to provide a comprehensive set of tools to view, edit and
compile LaTeX documents in Vim. Together, they provide tools starting from
macros to speed up editing LaTeX documents to functions for forward searching
.dvi documents. Latex-suite has been possible because of the contributions of
many people.

LaTeX-Suite documentations are installed in the directory /usr/share/ite/doc/

The LaTeX-Suite tools are automatically activated by the 'vtex' script.

If you wish to activate LaTeX-Suite tools alone without going through
the 'vtex' script, add the following lines to your ~/.vimrc:

	filetype plugin on
	filetype indent on
	set runtimepath-=~/.vim
	set runtimepath-=/usr/share/ite
	set runtimepath^=~/.vim,/usr/share/ite

The LaTeX-Suite's manual can be accessed by typing ":help latex-suite"
in a vim or gvim session.

%prep
#%setup -q -n latex2html-2002-2-1
#%patch -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/ite
cd $RPM_BUILD_ROOT/usr/share/ite
tar xjpvf $RPM_SOURCE_DIR/latexSuite%{ver}.tar.bz2
gvim --cmd "helptags doc" --cmd "quit" >/dev/null 2>&1

#
# create a default ftplugin/tex.vim
cat <<END >ftplugin/tex.vim
" this is mostly a matter of taste. but LaTeX looks good with just a bit
" of indentation.
set sw=2

" TIP: if you write your \label's as \label{fig:something}, then if you
" type in \ref{fig: and press <C-n> you will automatically cycle through
" all the figure labels. Very useful!
set iskeyword+=:

" IMPORTANT: If you are a win32 user, then the following setting is
" necessary in order to have latex called correctly from within Vim.
" set shellslash
END

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/ite/*
